﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace PieScrolling
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
       

        public MainPage()
        {
            this.InitializeComponent();

            BuildChart();

            AddItemButton.Click += AddItemButton_Click;
        }
        private PieSeries Series = null;
        public ObservableCollection<PieItem> Items { get; set; } = new ObservableCollection<PieItem>()
        {
            new PieItem() { Name = "Item 1", Value = 14 },
            new PieItem() { Name = "Item 2", Value = 23 },
            new PieItem() { Name = "Item 3", Value = 5 }
        };
        private void BuildChart()
        {
            Series = new PieSeries();
            Series.ItemsSource = Items;
            Series.ShowTooltip = true;
            Series.EnableSmartLabels = true;
            Series.XBindingPath = nameof(PieItem.Name);
            Series.YBindingPath = nameof(PieItem.Value);

            SampleChart.Series.Add(Series);
        }

        private void AddItemButton_Click(object sender, RoutedEventArgs e)
        {
            Items.Add(new PieItem() { Name = "Item " + (Items.Count + 1), Value = new Random().Next(0, 30) });
        }
    }

    public class PieItem
    {
        public PieItem() { }
        public string Name { get; set; }
        public int Value { get; set; }
    }
}
